अपने Merchant Center खाते में मौजूद प्रॉडक्ट के स्टेटस की खास जानकारी पाने के लिए, aggregateProductStatuses.list तरीके का इस्तेमाल किया जा सकता है. इससे हर प्रॉडक्ट को फ़ेच किए बिना, अपने प्रॉडक्ट डेटा की क्वालिटी को मॉनिटर करने में मदद मिलती है. इस तरीके से, आपको अपने सभी प्रॉडक्ट की कुल संख्या मिलती है. साथ ही, उनकी स्थिति (स्वीकार किया गया, मंज़ूरी मिलना बाकी है, अस्वीकार किया गया) के हिसाब से जानकारी मिलती है. इसके अलावा, इसमें उन सभी समस्याओं की सूची भी दी जाती है जो आपके प्रॉडक्ट पर असर डाल रही हैं.
ध्यान देने वाली खास बातें
aggregateProductStatuses.list तरीके का इस्तेमाल करते समय, कुछ बातों का ध्यान रखना ज़रूरी है.
- डेटा की उपलब्धता: किसी प्रॉडक्ट को शामिल करने या अपडेट करने और
aggregateProductStatusesरिस्पॉन्स में उसका स्टेटस दिखने के बीच, 30 मिनट से ज़्यादा का समय लग सकता है. - समस्या की जानकारी में एकरूपता:
aggregateProductStatuses.listतरीके से मिली समस्या की जानकारी के टाइटल और ब्यौरे, Products API से मिली समस्याओं की जानकारी से मेल खाने चाहिए. हालांकि, ये Merchant Center के यूज़र इंटरफ़ेस में दिखने वाली समस्या की जानकारी से अलग हो सकती हैं.
सभी प्रॉडक्ट की स्थितियों की खास जानकारी पाना
इस उदाहरण में, AggregateProductStatus संसाधनों की सूची पाने का तरीका दिखाया गया है.
हर संसाधन, डेस्टिनेशन और देश के किसी खास कॉम्बिनेशन के लिए प्रॉडक्ट की स्थिति दिखाता है. बिना किसी पैरामीटर के कॉल करने पर, आपके खाते के लिए उपलब्ध सभी स्टेटस दिखते हैं.aggregateProductStatuses.list
GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/aggregateProductStatuses
यहां कॉल के पूरा होने पर मिलने वाले जवाब का एक उदाहरण दिया गया है:
{
"aggregateProductStatuses": [
{
"name": "accounts/{ACCOUNT_ID}/aggregateProductStatuses/SHOPPING_ADS~US",
"reportingContext": "SHOPPING_ADS",
"countryCode": "US",
"statistics": {
"approvedCount": "1500",
"pendingCount": "50",
"disapprovedCount": "25"
},
"issues": [
{
"issueType": "missing_image",
"severity": "ERROR",
"numProducts": "15",
"sampleProducts": [
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU001",
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU002"
]
},
{
"issueType": "invalid_price",
"severity": "CRITICAL",
"numProducts": "10",
"sampleProducts": [
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU003"
]
}
]
},
{
"name": "accounts/{ACCOUNT_ID}/aggregateProductStatuses/FREE_LISTINGS~US",
"reportingContext": "FREE_LISTINGS",
"countryCode": "US",
"statistics": {
"approvedCount": "1510",
"pendingCount": "50",
"disapprovedCount": "15"
},
"issues": [
{
"issueType": "missing_image",
"severity": "ERROR",
"numProducts": "15",
"sampleProducts": [
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU001",
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU002"
]
}
]
}
]
}
किसी देश और डेस्टिनेशन के लिए प्रॉडक्ट की स्थितियां पाना
filter क्वेरी पैरामीटर का इस्तेमाल करके, किसी देश और डेस्टिनेशन के हिसाब से नतीजे फ़िल्टर किए जा सकते हैं. इसके लिए, aggregateProductStatuses.list तरीके का इस्तेमाल करें. उदाहरण के लिए:
country = "US" AND reportingContext = "SHOPPING_ADS".
ज़्यादा जानकारी के लिए, फ़िल्टर सिंटैक्स देखें.
GET https://merchantapi.googleapis.com/accounts/v1/accounts/{ACCOUNT_ID}/aggregateProductStatuses?filter=countryCode%3D"US"%20AND%20reportingContext%3D"SHOPPING_ADS"
यहां कॉल के पूरा होने पर मिलने वाले जवाब का एक उदाहरण दिया गया है:
{
"aggregateProductStatuses": [
{
"name": "accounts/{ACCOUNT_ID}/aggregateProductStatuses/SHOPPING_ADS~US",
"reportingContext": "SHOPPING_ADS",
"countryCode": "US",
"statistics": {
"approvedCount": "1500",
"pendingCount": "50",
"disapprovedCount": "25"
},
"issues": [
{
"issueType": "missing_image",
"severity": "ERROR",
"numProducts": "15",
"sampleProducts": [
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU001",
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU002"
]
},
{
"issueType": "invalid_price",
"severity": "CRITICAL",
"numProducts": "10",
"sampleProducts": [
"accounts/{ACCOUNT_ID}/products/online~en~US~SKU003"
]
}
]
}
]
}